<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Name: Vital Signs Summary CDA document
Description: Een minimaal CDA Release 2 document die alleen een paar attributen en relaties voor een ClinicalDocument class bevat:  
                     typeId: vast 
                     id: uniek id van de document instantiatie 
                     code: type van het document 
                     effectiveTime: datum waarop document is gecreëerd 
                     confidentialityCode: indicatie van level van vertrouwen voor dit document 
                     recordTarget: onderwerp (bv. patient) 
                     author: auteur van dit document 
                     custodian: beheerder van dit document 
                     component: bevat (in dit geval) een gestructureerde inhoud 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000-closed">
   <title>Vital Signs Summary CDA document</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/*[not(self::hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1'])]"
         id="d112e3-true-d1338e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d112e3-true-d1338e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d112e3-true-d1338e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/*[not(self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']|self::hl7:id[not(@nullFlavor)]|self::hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title|self::hl7:effectiveTime[not(@nullFlavor)]|self::hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]|self::hl7:recordTarget|self::hl7:author[not(@nullFlavor)]|self::hl7:custodian[not(@nullFlavor)]|self::hl7:component)]"
         id="d1320e128-true-d1388e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d1320e128-true-d1388e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1320e128-true-d1388e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/*[not(self::hl7:patientRole)]"
         id="d1510e41-true-d1525e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="not(.)">(CDArecordTarget)/d1510e41-true-d1525e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1510e41-true-d1525e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/*[not(self::hl7:id[@root='2.16.840.1.113883.2.4.6.3']|self::hl7:patient)]"
         id="d1510e47-true-d1549e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="not(.)">(CDArecordTarget)/d1510e47-true-d1549e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1510e47-true-d1549e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/*[not(self::hl7:name|self::hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]|self::hl7:birthTime)]"
         id="d1510e57-true-d1597e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="not(.)">(CDArecordTarget)/d1510e57-true-d1597e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1510e57-true-d1597e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/*[not(self::hl7:time[not(@nullFlavor)]|self::hl7:assignedAuthor[not(@nullFlavor)])]"
         id="d1642e45-true-d1661e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="not(.)">(CDAauthor)/d1642e45-true-d1661e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1642e45-true-d1661e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/*[not(self::hl7:id|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="d1642e55-true-d1707e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="not(.)">(CDAauthor)/d1642e55-true-d1707e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1642e55-true-d1707e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/*[not(self::hl7:name[not(@nullFlavor)])]"
         id="d1642e61-true-d1743e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="not(.)">(CDAauthor)/d1642e61-true-d1743e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1642e61-true-d1743e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/*[not(self::hl7:family[not(@nullFlavor)]|self::hl7:given[not(@nullFlavor)])]"
         id="d1753e9-true-d1772e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="not(.)">(PersonElements)/d1753e9-true-d1772e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1753e9-true-d1772e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name[not(@nullFlavor)]|self::hl7:telecom|self::hl7:addr)]"
         id="d1642e66-true-d1810e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="not(.)">(CDAauthor)/d1642e66-true-d1810e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1642e66-true-d1810e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/*[not(self::hl7:assignedCustodian[not(@nullFlavor)])]"
         id="d1865e30-true-d1879e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="not(.)">(CDAcustodian)/d1865e30-true-d1879e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1865e30-true-d1879e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/*[not(self::hl7:representedCustodianOrganization)]"
         id="d1865e34-true-d1902e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="not(.)">(CDAcustodian)/d1865e34-true-d1902e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1865e34-true-d1902e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/*[not(self::hl7:id|self::hl7:name[not(@nullFlavor)]|self::hl7:telecom|self::hl7:addr)]"
         id="d1865e38-true-d1921e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="not(.)">(CDAcustodian)/d1865e38-true-d1921e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1865e38-true-d1921e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/*[not(self::hl7:structuredBody)]"
         id="d1320e175-true-d1989e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d1320e175-true-d1989e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1320e175-true-d1989e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']])]"
         id="d1320e181-true-d2020e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d1320e181-true-d2020e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1320e181-true-d2020e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/*[not(self::hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001'])]"
         id="d1320e187-true-d2056e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d1320e187-true-d2056e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d1320e187-true-d2056e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']|self::hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]|self::hl7:title[not(@nullFlavor)]|self::hl7:text[not(@nullFlavor)]|self::hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115']])]"
         id="d2038e7-true-d2109e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d2038e7-true-d2109e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d2038e7-true-d2109e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115']]/*[not(self::hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115'])]"
         id="d2038e26-true-d2193e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d2038e26-true-d2193e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d2038e26-true-d2193e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115']/*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.115']|self::hl7:id|self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.60.5.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]|self::hl7:text|self::hl7:statusCode[@code='completed'][not(@nullFlavor)]|self::hl7:effectiveTime|self::hl7:value)]"
         id="d2175e10-true-d2249e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d2175e10-true-d2249e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d2175e10-true-d2249e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.1937.99.60.5.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]/*[not(self::hl7:originalText)]"
         id="d2175e30-true-d2315e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="not(.)">(VitalSignsCDAdocument)/d2175e30-true-d2315e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. (rule-reference: d2175e30-true-d2315e0)</assert>
   </rule>
</pattern>
