<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Name: Vital Signs Summary CDA document
Description: Een minimaal CDA Release 2 document die alleen een paar attributen en relaties voor een ClinicalDocument class bevat:  
                     typeId: vast 
                     id: uniek id van de document instantiatie 
                     code: type van het document 
                     effectiveTime: datum waarop document is gecreëerd 
                     confidentialityCode: indicatie van level van vertrouwen voor dit document 
                     recordTarget: onderwerp (bv. patient) 
                     author: auteur van dit document 
                     custodian: beheerder van dit document 
                     component: bevat (in dit geval) een gestructureerde inhoud 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000">
   <title>Vital Signs Summary CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /
Item: (VitalSignsCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']"
         id="d112e130-false-d219e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1">(VitalSignsCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(VitalSignsCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'])&gt;=1">(VitalSignsCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'])&lt;=1">(VitalSignsCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(VitalSignsCDAdocument): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&lt;=1">(VitalSignsCDAdocument): element hl7:id[not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(VitalSignsCDAdocument): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(VitalSignsCDAdocument): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:title)&lt;=1">(VitalSignsCDAdocument): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(VitalSignsCDAdocument): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(VitalSignsCDAdocument): element hl7:effectiveTime[not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(VitalSignsCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(VitalSignsCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:author[not(@nullFlavor)])&gt;=1">(VitalSignsCDAdocument): element hl7:author[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:custodian[not(@nullFlavor)])&gt;=1">(VitalSignsCDAdocument): element hl7:custodian[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:custodian[not(@nullFlavor)])&lt;=1">(VitalSignsCDAdocument): element hl7:custodian[not(@nullFlavor)] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="d251e83-false-d380e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="string(@extension)=('POCD_HD000040')">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="string(@root)=('2.16.840.1.113883.1.3')">(CDAtypeId): The value for @root SHALL be '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']"
         id="d112e134-false-d403e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@root)=('2.16.840.1.113883.3.1937.99.60.5.10.1')">(VitalSignsCDAdocument): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.60.5.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:id[not(@nullFlavor)]
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:id[not(@nullFlavor)]"
         id="d405e77-false-d422e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d112e152-false-d437e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="@nullFlavor or (@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')">(VitalSignsCDAdocument): The element value SHALL be one of 'code '51848-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:title"
         id="d439e17-false-d459e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900003-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900004
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:effectiveTime[not(@nullFlavor)]
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:effectiveTime[not(@nullFlavor)]"
         id="d461e37-false-d474e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900004-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900005
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d476e20-false-d491e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be one of '2.16.840.1.113883.1.11.16926 x_BasicConfidentialityKind (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set 2.16.840.1.113883.1.11.16926 x_BasicConfidentialityKind (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget"
         id="d493e62-false-d521e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patientRole)&gt;=1">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole"
         id="d493e68-false-d553e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patient)&gt;=1">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900207
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (NationalPatientIdentifier)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="d560e27-false-d595e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900207-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NationalPatientIdentifier): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900207-2014-07-08T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(NationalPatientIdentifier): The value for @root SHALL be '2.16.840.1.113883.2.4.6.3'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900207-2014-07-08T000000.html"
              test="@extension">(NationalPatientIdentifier): attribute @extension SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="d493e78-false-d618e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&gt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:birthTime)&gt;=1">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="d493e99-false-d671e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]"
         id="d493e104-false-d688e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be one of '2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set 2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="d493e111-false-d718e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]"
         id="d720e55-false-d733e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:time[not(@nullFlavor)])&gt;=1">(CDAauthor): element hl7:time[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:time[not(@nullFlavor)])&lt;=1">(CDAauthor): element hl7:time[not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)])&gt;=1">(CDAauthor): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)])&lt;=1">(CDAauthor): element hl7:assignedAuthor[not(@nullFlavor)] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:time[not(@nullFlavor)]
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:time[not(@nullFlavor)]"
         id="d720e61-false-d771e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]"
         id="d720e65-false-d786e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:id)&gt;=1">(CDAauthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id"
         id="d720e69-false-d832e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson"
         id="d720e71-false-d848e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(CDAauthor): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(CDAauthor): element hl7:name[not(@nullFlavor)] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d858e20-false-d882e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:family[not(@nullFlavor)])&gt;=1">(PersonElements): element hl7:family[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:family[not(@nullFlavor)])&lt;=1">(PersonElements): element hl7:family[not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:given[not(@nullFlavor)])&gt;=1">(PersonElements): element hl7:given[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:given[not(@nullFlavor)])&lt;=1">(PersonElements): element hl7:given[not(@nullFlavor)] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:family[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:family[not(@nullFlavor)]"
         id="d858e22-false-d921e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:given[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:given[not(@nullFlavor)]"
         id="d858e24-false-d936e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization"
         id="d720e76-false-d952e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(CDAauthor): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(CDAauthor): element hl7:name[not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id"
         id="d962e24-false-d1004e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name[not(@nullFlavor)]"
         id="d962e29-false-d1019e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom"
         id="d962e33-false-d1034e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:author[not(@nullFlavor)]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr"
         id="d962e37-false-d1049e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]"
         id="d1051e40-false-d1064e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@typeCode)=('CST') or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:assignedCustodian[not(@nullFlavor)])&gt;=1">(CDAcustodian): element hl7:assignedCustodian[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:assignedCustodian[not(@nullFlavor)])&lt;=1">(CDAcustodian): element hl7:assignedCustodian[not(@nullFlavor)] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]"
         id="d1051e44-false-d1090e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization"
         id="d1051e48-false-d1115e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(CDAcustodian): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(CDAcustodian): element hl7:name[not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/hl7:id"
         id="d1125e24-false-d1167e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/hl7:name[not(@nullFlavor)]"
         id="d1125e29-false-d1182e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/hl7:telecom"
         id="d1125e33-false-d1197e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:custodian[not(@nullFlavor)]/hl7:assignedCustodian[not(@nullFlavor)]/hl7:representedCustodianOrganization/hl7:addr"
         id="d1125e37-false-d1212e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component"
         id="d112e177-false-d1227e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VitalSignsCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(VitalSignsCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody"
         id="d112e183-false-d1251e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@classCode)=('DOCBODY') or not(@classCode)">(VitalSignsCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(VitalSignsCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']])&gt;=1">(VitalSignsCDAdocument): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']])&lt;=1">(VitalSignsCDAdocument): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]
Item: (VitalSignsCDAdocument)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VitalSignsCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(VitalSignsCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
